Subject: [manet] how can I get the remaining energy of ad hoc nodes in tclscript of ns2?

From: "Stephen Bo" <[email-masked]>
Date: Mon, 09 May 2005 07:03:58 +0000

hi all, 
       I am now doing ad hoc energy related simulations under ns2. I am 
using the energy model of ns2 by adding the following code in $ns 
node_config statement area in my tcl script: 

-energyModel EnergyModel \ 
-initialEnergy 100.0 \ 
-txPower    0.6 \ 
-rxPowre    0.2 \ 

    then I want to record the energy of the nodes every 10 seconds in my 
tcl script, but I find no ways to read the nodes' energy. Can anyone tell 
me how to do? And, is there any detailed documentation about energy modle 
in NS2? 
    Great thanks for your help!
 
regards
stephen

_________________________________________________________________
与联机的朋友进行交流，请使用 MSN Messenger: http://messenger.msn.com/cn 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet